#eureka client配置
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@192.168.1.21:6001/eureka/
  #instance.ipAddress: 192.168.110.50  # 指定此实例的ip

prolog.tx.url: http://192.168.1.21:7000/tx/manager/

spring:
  devtools:
    restart:
      enabled: true
  application:
    name: upcloud-base-wh-outbound
  #redis配置
  redis:
    cluster:
      nodes: 192.168.1.17:6379,192.168.1.17:6380,192.168.1.18:6379,192.168.1.18:6380,192.168.1.19:6379,192.168.1.19:6380
    password: prolog-redis-0212
  #链路跟踪
  zipkin:
    base-url: http://192.168.0.167:10002
    sender.type: rabbit
    rabbitmq.queue: zipkin #默认配置
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    addresses: 192.168.1.17:5672,192.168.1.18:5672,192.168.1.19:5672
    username: common
    password: prolog-mq-20191229
    virtual-host: /upcloud
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.11:1521:orcl
    username: upcloud_biz_outbound
    password: upcloud_biz_outbound
    #使用druid数据源
    initialSize: 0 #初始化大小
    minIdle: 5 #最小空閒
    maxActive: 50 #最大連接數
    maxWait: 60000 #最大等待時間
    minEvictableIdleTimeMillis: 25200000 #最小生存時間
prolog:
  dao:
    dialect: oracle
    performance:
      enable: true
      showSql: true
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  service:
    operate: upcloud-base-wh-operate
    inventory: upcloud-base-inventory
    item: upcloud-base-item
    strategy: upcloud-base-strategy
    warehouse: upcloud-base-wh
    inbound: upcloud-base-wh-inbound
  tx:
    url: "http://192.168.1.21:7000/tx/manager/"

mq:
  wave:
    response:
      queueName: waveResponseQueue
      topicName: topic.wave.response

logging:
  config: classpath:log4j2-dev.xml
  level.root: info